Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class GoalFromJava

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.GoalFromJava

All Implemented Interfaces:
  Serializable

public class GoalFromJava
extends Object
implements Serializable

Represents a goal from Java, called through deterministicGoal

See Also:
  Serialized Form

Constructor Summary
`GoalFromJava(int t, String G, String OVar, Object[] objects, String RVars)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoalFromJava

    public GoalFromJava(int t,
                        String G,
                        String OVar,
                        Object[] objects,
                        String RVars)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD